100
4 3
FFFF
FTFT
TTTT
0 1 0 2 0
3 4
FFF
FFF
FTF
TTF
2 1 1 0
1 3
T
T
F
1 2
2 1
TF
0 1 0
2 1
TF
1 0 0
2 1
TF
0 1 0
15 1
TFTFTFFFTTTTFFT
0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0
6 5
FFFTFT
FFFFTT
FFFTTF
FFFTTT
FFFTFT
0 0 0 1 4 0 0
6 5
FFFTFT
FFFFTT
FFFTTF
FFFTTT
FFFTFT
0 0 1 4 0 0 0
3 10
TTT
TTT
TFF
FFT
FTT
FTF
FFF
TFT
FTF
FFF
2 3 4 1
3 3
TFF
TTF
TTF
2 1 0 0
3 1
FFT
0 1 0 0
3 10
TFT
TFT
FTF
FTT
FTT
FTT
TTT
FTT
FTT
TTF
1 8 1 0
3 34
FFF
TTT
TTF
FFT
FTF
TTT
TTF
TTF
FTF
FTT
FTT
TFT
TTT
FTT
TFT
TTT
FTT
FFF
FTF
TFF
TFF
TTT
TTT
TTT
TTT
FFF
TFT
FTT
FTT
FTT
TFT
FFT
TTT
TTT
3 13 14 4
3 5
TFF
TFF
FTT
FFT
FFF
0 2 3 0
3 1
TFT
0 0 0 1
3 4
TTF
FFT
FTF
FTT
1 2 1 0
3 4
FFF
FTF
FFF
TTF
0 3 1 0
4 4
FTFT
TFTT
FFFF
FFFF
2 0 1 1 0
4 11
TTFF
FTFF
FTTT
FFTT
FTTF
FFFT
TFFF
FTFF
TTTT
TFFF
FFTF
1 1 3 6 0
4 28
TFFF
FTTF
FTTF
FTFT
TTFF
FFFF
FFTF
TTTT
FTFF
FTTT
TTTF
FFTF
TTTF
FFFT
TFFF
TFTF
TTTT
TFFF
FTFF
TFTF
TTFF
TFTF
TTTT
TTFF
TTFF
TTFT
TFFT
TTTT
1 8 11 4 4
4 3
TFTT
FTTF
TTFT
0 1 2 0 0
4 1
FTFT
0 0 0 1 0
4 7
TTTF
TFTT
FFTT
FFFT
FTTF
TFTT
FTFF
0 0 5 2 0
4 3
TTFT
FFFT
FTFF
0 2 0 1 0
5 32
TFFFF
FFFFF
FFTTF
FTFTF
TTFTT
FTFFF
FTTFT
TTTTF
FTFTF
FTFTF
FTFFT
FTTTF
TFFFT
FTFFT
FTFTF
TTTFT
FTFFF
FFFFF
TFTFT
TTTTF
TFFTF
FFTFF
FTFFT
TTTFF
TFFFF
TFTTT
FTFFF
TTFTT
TFTFT
FFFFF
TFFTF
FTTFF
1 8 6 12 4 1
5 28
FFTTT
FTFTT
FTFFF
FFFFT
TFFTT
TFTFF
FFFTF
FFTFT
FFTFT
FFFFT
FTTFT
FTTFF
FTFTF
TTFFT
TTTTF
TTTFF
TTFFT
FFFFT
FFFTT
TTTTF
TFFFT
FTTFT
FFTTF
TTFTT
TFTFT
FFFFF
TTFFT
FTFTT
2 3 12 9 2 0
5 22
FFTFF
FTTFF
FTTTF
TFTFF
TTTFT
FTFTF
TTFFF
FFFTF
TFFTT
TFTTF
FTFTT
FFTFF
FFFTT
TTFTF
FFTTT
TTFTT
FTTTF
FFFFF
FTFFF
TFFFT
FTFTF
TTFTT
0 2 10 8 1 1
5 2
TFFFF
FFTFT
0 0 1 1 0 0
5 4
TFTTT
FFTTT
FTFTF
FTFTT
0 1 2 1 0 0
5 7
TFTTF
FFTFF
TTFTT
FFFTT
TFTTT
FTFTF
TFTTF
0 0 3 3 0 1
5 5
FFTFF
FFFFT
TFTFT
FFFTT
FTFTT
0 0 2 0 2 1
6 2
TFFTFF
FTTTFT
0 0 2 0 0 0 0
6 16
TTFTFT
FFFFTF
TFFTFT
TTTTTT
TTTFTT
FFFTTT
TTTFTF
FTFTTT
FTTTTT
FFFTFF
TTFTFT
TFTTFF
TFFFTT
FFFTTT
TFTFFF
TTTTTF
0 1 5 3 4 2 1
6 28
FTFTTT
TFTTFT
FTTTTT
TFTFTF
TTTTFT
TTTFFF
TFFFFF
TTFFFT
TTTTTF
TFFTTT
FTFTFT
TFTFFF
TTFTFT
TTTTFF
FTTFTT
TTFTTT
FTTTFF
TTFFTF
TTTTTT
TTTTTT
FTFFFT
TFTTTT
TFFFTT
FFFFFF
FFTFFT
TTTFTF
FTFFFT
TFTFFF
0 1 7 8 7 4 1
6 4
FTTFFF
TFFFFF
FTFTTT
FFTFTF
0 1 0 2 1 0 0
6 7
FFTTTF
TTFFFT
FFFTFT
FFFFTT
TFFTFT
FTTTTF
TFFFTT
0 0 2 2 2 1 0
6 7
TTFFTT
TFFFTF
TTTFFF
TTTFFT
FFTTTF
TTTTFT
FFTTTF
0 0 1 4 2 0 0
6 5
TTFFTF
TTFFTT
FTTTTT
FFFFTF
FFTTFF
0 1 1 0 1 2 0
7 32
FFFTFFT
TFFTTTT
TTFFTFF
FTTFTFT
TTFFFFT
TFTFFFF
FTTTTTF
TTTFFFT
TTTFTTT
TFTFFTT
FTFTTTF
FFTTFTF
TTTTTTF
FFFFFFT
FFFFTTF
FFFTFTT
FFTFFTF
TTFFFTT
FFFFFTF
TTFTFTF
TTFFTFT
TFTTTTF
TTFFTFT
FTFFFTF
TFTFTFT
TTTTTTT
TFTTFFT
TFFFTTF
TFFTTTF
FFTTFFF
FFTFTFF
TFTFFTT
0 2 2 12 7 7 2 0
7 32
FTFTTTT
TFFFTTT
FTFFTFF
TFTTTFF
FTFFFFT
FTFTTFT
FFTTFFT
TFTFFTF
FTFFFTF
FTTFFTF
TTFTTFT
TFFTFTT
TTFFFTT
FFTTFTF
FFFTFTT
TFTFFFT
FFTFFFF
TTTFTFT
TFTTTFT
TTFTFFF
TTTTTTF
FTTTFTT
FTFTFFF
FTFFTTF
TTTTTFT
FTTFFFF
TFTTTFT
FTTTFFT
FTFTFFF
TTTFTFT
FTFTTFF
FTTFFFF
1 0 4 11 9 6 1 0
7 20
FTTTTFT
TTTFTFT
TTFTFTF
FFTFTFT
TFTTFFT
FTFFFTF
TTFTTTF
FTTTTTT
TTTFTFF
FTTFTTT
TFTTFFF
TFFTTFT
TFFTFTT
FFFTFTF
FFFTFTT
FTFFTTF
TTTFTFT
TFTTTTT
TFFFTFF
TFFFTTF
0 1 3 4 6 5 1 0
7 5
TFFTTTT
TTTFFTF
FFTFTFT
TTTTFTT
TFFTFFT
0 1 0 0 1 2 1 0
7 4
FFTFTFF
FFTTFFF
TTFFTTF
FFTTFTF
0 0 0 1 2 0 1 0
7 5
TFFTFTF
FTTFFFT
TTFTFFF
TFTTFFF
FFFFTFF
0 0 0 3 0 2 0 0
7 1
TTTTFFT
0 0 1 0 0 0 0 0
8 16
TTTTTFTT
TFTTFFFF
FTTTFFFF
FTFTFTFT
TFFFFTFF
TTTFFFTT
TTFTTFFT
TTTFFFTT
TFFTFFTF
FTTFTFTT
FFFTFTFF
TFTTTFTT
FFTTTTFT
FTFFFTFT
FTTFFFFF
TTTTTTTT
0 1 3 1 6 3 0 1 1
8 9
TTTFFFFT
TFFTFTFF
TFTFTTTF
FFTFTTFT
FFFFFTFT
FFFFTFTT
TFTTTTTF
TFTTFFFF
FTFTFFTT
0 0 1 2 1 3 2 0 0
8 14
FFFTTTFT
FFFFTFTT
FFFTTTTF
FTTTTTFF
TFFFTTTF
TFTFFFFF
TFFFFTTT
TFFFTFFT
TTTFTTFT
FFTFTFTF
FFTTTTFT
FTFFTTFF
FFFTTTFT
TFTFTFTF
0 0 1 3 5 4 0 1 0
8 4
FTTTFTTT
TFTFFTTT
FTFFFTFF
FTTFTFFF
0 0 0 2 2 0 0 0 0
8 1
FFTTTTFF
0 0 0 0 0 1 0 0 0
8 5
TFFFFTFF
FTFFTTFF
FTFTFFFT
FFFFFTTF
FFFTFFTT
0 1 1 1 2 0 0 0 0
8 3
TFFFFFTF
FTTTFFFF
TFFTTTTF
0 0 1 1 0 1 0 0 0
9 6
FTTTFFTFT
FTTTFTFTF
FTFTFFTTT
FTTTTTTTT
FTTFTFFFF
TTTTTTFTT
0 0 0 1 2 2 0 1 0 0
9 28
FFTTFFFFT
TTTFFTFTF
FTTFTFTTF
FTFTFFTTF
TFFTFFFFT
TFTFTFFTF
FTFTTFTFF
FFFTTFFFT
TFTFTTFTF
TTFFTFFFF
TTTFFTFTT
FTTFTTTTF
FFTFTTTFF
TTFFTTTFT
FTFFFFFTF
FTFFFTFTF
FFTFTFFTF
FTFFTTTFF
FFFFFFFFF
TTTTTFTFF
FTFTFFTTF
FTTTFTTTT
TTFFFFFTT
FFTFFTFTF
TFTFFFFTT
FTTTTTTFF
TTFTFFFTF
TTTTFFTFT
0 0 2 6 5 11 4 0 0 0
9 22
TFFTTFTTF
TTTFTFTFT
TFTFFFFFF
FFFTFTFTT
TFTFTFTFT
FTTTFFTTF
TFTFFTFFT
FFTFTFFFF
FFFFTFTFF
TTFFFTTTT
FTFTFFTTF
TFTTFFTTT
FFTFFTTTT
TTFFFTTTF
FFTFTTTTT
TTTTTFFTT
FFTFFTTTT
FTTTFTTTT
FTFFTTTTF
FTFTTFFTT
TTFTFTTFF
FFTFFTFFF
0 1 1 4 3 3 6 3 1 0
9 6
TTTTTFTFT
TFFFTTFFF
TTTTFFFTF
FTTTFTTFF
FFTTFFTFT
FFFTFFFFF
0 0 0 2 0 2 0 1 1 0
9 3
FFFTTTFFF
FTFFFFTTT
TTFTFFTTF
0 0 1 0 1 0 0 1 0 0
9 5
TFFFFFFTF
FTFTTFFFT
TTFFTTFFT
TTFFTTTFT
FTFFTTTTF
0 0 0 1 2 1 1 0 0 0
9 4
FTTFFFFFF
FTFFTFTFT
FTTTFFTTF
TTTTTFTTT
0 0 0 0 0 1 2 0 1 0
10 20
FTTTFFFFFT
TTFFFTFFTT
TTFTFTTFFF
FTTTFTTTFT
TTFTTFFFTT
FTTTTTFTFF
TTFFTFTTTT
TTFFTFTTFT
FFTTFFFTTT
TFTTTTTFTT
TTTTTFFTTF
TTFFFFFTTT
FTTFFFFFFF
FFFFFTFTTT
TFTTFTTTTF
FTFFFTFTTF
TFFFFFTTFT
FTTFTFTTTF
TTFFFTTTTF
FFTTTFTFTT
0 0 2 1 5 6 2 1 3 0 0
10 34
TFFFTTTFFF
FTFFFTFFTT
FTFFTTFFFF
FFTTTTFTTT
FTFFFFFTFF
FTFFTFFFTT
TTTFTFTFFF
TFFTTTFTFF
FTFTFTFFTF
FTTTTTFTFF
TFTTTTFTTF
FTTTTFFFTT
TFFTFFTTFF
TFFFTFTTFT
FTTTTFFTFF
FFFTFTFFFT
TTTTTFTFFT
FFFTFFFTFT
TFFFTFTFFT
FFTFFFFTFT
TFFFTFFFTT
FTFFTFTTFT
FTTFFFFFFF
TTFFFTFTFF
TFTFFTFTTT
TFTFTFFTTF
FTFTTTFFFF
TFTFTFFFTT
FFTTFTFFTT
FFFFFFFTFF
FTFTTTFTTT
TFFTFTTFFT
TFTTFFFTTT
FFTTTFFTTF
0 0 1 3 9 8 5 8 0 0 0
10 6
TTTTFTTFFF
FFFTFFFTFF
TFFTFTTFTT
FFTFFFTFTT
FTTTTTFFFF
TFFTFFTFTF
0 0 0 1 1 2 0 2 0 0 0
10 1
FTTFFFTTTT
0 0 0 0 1 0 0 0 0 0 0
10 2
FFTFFFFTFF
FFFFTTTTTF
0 0 0 0 1 0 0 1 0 0 0
10 1
FTFFTTFTTF
0 0 0 0 0 1 0 0 0 0 0
10 5
TTFFTFFTTT
FTFTFTTTTF
FFFTTTFTFF
FFTFFFTFFF
TFFTTTTTTT
0 0 0 1 0 1 0 3 0 0 0
11 22
TTFTFTTTFFF
TTTFTFFFTTT
TTTFTFTTTTT
FTTFTTFTTFT
FFFTFTTFTTF
FFTTFTFFTTT
TTTFTFFTFTT
FFTTTFTFTTT
TTFFTTTTFTT
FFTFFFTTFTF
TTFFFTTFTFT
FTFTTFFTFFT
FFFTFFTTFFF
TTFTFTFTFTT
TTFFFFTTTFF
TFTFFTTFFFT
FTTFFFFFFTT
FTTFTFFFTFT
TFFFTFFTFFF
TTTTTTTFTFF
FTFFFTTFTFT
FTFFTTFFTTT
0 0 0 1 4 7 2 6 2 0 0 0
11 27
FFTFTFTTFFF
FFTTFTFFTTF
FTFTTFTFFFF
TFTFTTFFTFT
FFTFTFFTFFT
FTTFFTFTTFF
FFFTTTFTFTF
FFTFFTFTTFT
FTTFTFFTFTF
TFTFFFTTFTT
TTTTFFFTTTF
TFFTFFFTFTF
FTTTFFTFTTF
TFFTTFFFTFF
FTFTTTTTTFT
FFFTTTFTTTF
TTFTTTTTFTF
TTFTTFTFFTT
FFFTFTTFFTF
FFTTTFFFFFF
TTTFTTFFFTF
FFTTFTTFTFT
FFFFTFFFTFF
FFTTTTTTTFF
FFFFFTTTFFT
FTTFTTTFFTF
TFFFFTFTFFF
0 1 0 2 4 9 5 5 1 0 0 0
11 3
FTFTTFTTFTT
TFTTFTFTTFF
TTFFTTFTTFF
0 1 0 1 0 0 0 0 1 0 0 0
11 6
FTTFFTTTTTT
TTFTTTFFFTF
FTFTFTTTFTF
TTFTFTFFTTF
FFFFTFTFTTT
FTTTTTFTFFT
0 0 0 1 3 0 1 1 0 0 0 0
11 4
FTFFTTFFTFF
FTFTTTFFTFT
TFTTTTFFTFF
FTFFTFFFFTF
0 0 0 0 1 0 1 1 1 0 0 0
11 1
TTTFFFFFTFF
0 0 0 0 0 0 0 1 0 0 0 0
11 1
TTFFTFTFFFT
0 0 0 0 0 0 1 0 0 0 0 0
12 19
FFFTTTFTTFFF
FFTFFFFFFFFT
FFFTFTFTTTFF
TTTFFTTTTFTF
TTTTTFTFTFFT
TTTFFTFFTFTT
FTFTFFTTFFTT
FTFFTTFFTFTT
TTFTTTTTTTFF
TTFTFTTTFTFT
TTFTTFFTFFTF
TFFTTTTFTTTF
TTTFFTFFTTFF
FTTTFTTTTFTF
FFFTTTTFFFFT
FFFFTFTFFFTT
FTTFFTTFTTTF
TFTTFFFTFFTT
FTFTFTTFTFTT
0 0 0 0 0 6 4 5 3 0 0 1 0
12 18
TTFTFFFFFFTF
TFTFFFFTTFFF
TTFFFFFFTFTF
TTFTFFTTFTTF
FFFFTTFTFTFF
TTFFTTTFTFFT
FFFTFTTTTTTF
FFTFFTTFTFTT
TTFTTFTFFFFT
TTFTFTTTFFTF
TTFFTTFFFFFT
TFTFTFFFTFTF
TFFTTTFFTFTT
TFTFTTFTTFFT
TFFTTFFTTTFT
TTFFTTFFFTFF
FTTTFFTFFTTF
TTFFFTFTTFTT
0 1 0 4 2 3 3 0 1 2 1 1 0
12 19
TTFTTFTTFTTT
FFTFFTFTFTFF
FTTTFFFFTFTT
TFTFTTTTTTFT
TFFTTTTTTTTT
FTFTTFTTTFTT
FTTFFTTTTTTT
TTFFFTFFFTFF
FTFTFTFFFTTT
TTTFFFFTTTFT
TFFFFTTTFTFT
FFFFFTFFFFTT
FTTTFFFTTTFT
TTTFTFFFFTTF
FFFTFFFFFTFT
TTTTTFTFFFTT
FFFFFFFTTTTF
TTTFTFTFFFTT
TFTFFTFFTTFT
0 0 1 1 1 4 5 3 3 0 1 0 0
12 2
FFTFTFTTFFFF
FTTFTFTTFFFT
0 0 0 0 0 2 0 0 0 0 0 0 0
12 2
FFTFFFTTTFFF
FFTTTFFFTTFT
0 0 1 0 0 0 1 0 0 0 0 0 0
12 3
FFTFTFFTTTTF
FFTTFTFFFFFT
FTTFFTFTFFFF
0 0 0 0 0 0 0 1 0 2 0 0 0
12 3
FFTTFTFFFTTT
TTFFFTFFFFTT
FTFTTTTFTTTT
0 0 0 0 0 1 2 0 0 0 0 0 0
13 4
FTFFTFFTTFTTF
FFFTTTFTTTFFT
FTFFFTFFFFFFF
TFTFTTTTTTTTF
0 0 0 0 0 0 1 0 2 1 0 0 0 0
13 2
FFFFFFFFTTFFT
TTTFFFTFTFTTF
0 0 0 0 1 0 1 0 0 0 0 0 0 0
13 36
FFTFFFFTFFFFF
FFTFTTFTTTFFF
FTFTFTFTTTTTT
FFFTTFFTTTFTT
FTTTTFFFTTTTT
FFTTTFFTTTTTT
TFTTTTFTFTFFT
TFFFTTTFFTFTF
FFTFTFTFTFFFT
TTTTTTFFTFTFT
TTTFTTTFFTFFT
FTTTFFTFTTTTF
TTTFFFFTTTFTF
FFTFFFTTFFTFT
FTFTFTFFFTFFT
FTFTFFTTFFTFF
TTTTTFTTFTFFF
FTFFTFTTFTTFT
FTTFFTTTTTFTF
TTFTFTTFTTTFT
FTFFTTTTFTTFF
TTTFFTFTTTTFF
FTTFFFTTTFFFF
TTFTTTTFTTTTF
TTTFFTTFFTTFT
FTTFFTFTFFTTT
FFFFFTTTFTTFF
FTTTFFTTFFFFT
TTFTFTFFTFFTF
FTTTFTFFTFTTF
TTTFFTFTFTTTT
TTFFFTFTTFFFF
FTTFTFTTTFFTT
TFTTTTTTTTFTT
FTFTFFFFTTTFT
FFFTTTTTTTFTT
0 0 0 2 1 8 10 7 4 4 0 0 0 0
13 1
TFTFFFFFFFTFT
0 0 0 0 0 1 0 0 0 0 0 0 0 0
13 4
TFTTFFFTFFFTT
TTTFFFTTFTFTF
TTFTTTFTFTFFF
FTTTTFFFFTTTF
0 0 0 0 0 2 0 1 1 0 0 0 0 0
13 1
FTTFTFFTFTFFT
0 0 0 0 0 0 0 0 1 0 0 0 0 0
13 1
FFFTTTTFFTFFF
0 0 0 0 0 0 0 1 0 0 0 0 0 0
14 4
TFTTTFFTTFTTTT
TFTTFTTFTFFFTT
FFFFFFFFFTFFTT
FTTFTTFFFFTTTF
0 0 0 0 0 1 0 0 2 1 0 0 0 0 0
14 11
FTTTTFTTFFTFFF
TTFTTFTFFTTTFT
TFTTTTFFTFFFTT
TFFTFFTFFFFFFT
TTFTTTFTTTFTTT
FTFFFTFTTTFTFT
TTFFTTTTTFFTFT
FTFTFTFTTFFFFF
TTFFTTTFTFFFFT
TFTTTFTTTTFFFT
FTFTTTFFTTTFTT
0 0 0 0 0 3 0 6 2 0 0 0 0 0 0
14 34
FFTFTFTFTTTFFF
FFFTTTFFTTTTTF
FFTTFFTTFFTFFT
TFFFTFTFFFTFTF
TTFFFTTTTFTFTF
TTFFTTFTTTFFFF
TFFFTFFTTFTTFF
TFTFTTFTFFTTTT
TTFFFFFTTTFFTT
FFFFFTTFTFFTTF
TFTTFTTTTTTFTT
FFTFFTFTTFTFFT
FTFTTFTTFFFTTF
TTFFTTTFTTFTFT
FFTFTFTFTTTFFT
TFFFFTTTFFTFTF
FTTFFFTFFFFTFT
TTTFFFTFFTTFTT
FTFTFTFTFFFFTT
FTFTFTFFTTFTFF
TTTFFTTFFTFTTF
FTFTFTTTFFTTFF
TFFFFFTFFFFTTT
FFFFTFFTFTFTTT
FTTTTFTTFFFTFT
TTTFTFTTFTFFTF
TTTFFTTFFTTFTF
TFTFFFFTFTFFFF
TFTFFFTTFFFFTT
TFTFFFFFTTTTTF
FFFTTFTTTFFTTF
FTTFFFFTFFFTTF
TTFFFFTFFFFFTF
FTTFFFFTFTTTTF
0 0 0 0 2 5 9 5 4 5 3 1 0 0 0
14 5
FTTTFFFFFFTTTT
TFTFTTFFFFFTFF
TFFFTFFTTFFFTF
FTFTTFFTTTFFFF
FFTTTTTFFTFTTT
0 0 0 0 1 1 0 0 0 3 0 0 0 0 0
14 5
FFTTFFTTFFFFTT
TTFTFTFFFFTFFT
FFFFFTFFTFTFTF
TTTFTFFFTFTFFT
TTFFFTTFFFTFTF
0 0 0 0 0 0 0 1 1 2 0 1 0 0 0
14 5
TFTFFTFFTFTTTF
TFTFTTTFFTTFTT
FFFTFFTTFTTTTT
FFTTTFFTTTFTTT
TTFTFFTTFFTTFT
0 0 0 0 1 1 1 2 0 0 0 0 0 0 0
14 2
TTTTFFTFTFTTTF
TTTFTFTFFTFTFF
0 0 1 0 1 0 0 0 0 0 0 0 0 0 0
15 25
FFFFTTTFFFTFFTT
TTFFTTTFTTTFFFF
FFTTTTTFFTTTTTT
TTFFTTTTFTFTTTT
TTTTTTTFFFFTTTF
FFTTTTFTFTTTFTF
TFFTFTTFTFFFFTF
TFFFTTFFTTFTFTT
FTTFFTTTFFFTTFF
TTFTTTTFTFTFFFT
TTFFFTTFTFTTFTF
FTTFFTTFFFTFFFF
FFTTTFFFFTFFFFF
TFTFFTFTFFFFTTT
FFTFTTTTFFTTTTT
FFFFFFTTTTTFFTF
FFFFTFTTTFFTTTT
FFFTTFTTTFFFTTF
FFFTFTFFFTFTTTT
TTFFTFTFFTFTFTF
TTFFFTTFFFFTFFF
FTFFFTTTFFTFFTF
FFFFFTFTTFTTTTT
FFTTFTFTFFFTFTT
TTFFFTTFFFFFTFF
0 0 0 1 3 3 5 4 3 4 2 0 0 0 0 0
15 1
FTTFTFFTTTFTTFT
0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0
15 9
TFTFFTFTTTFTFTF
TTFFTFFFFFTFTFF
FFTFTFTFFTTTFFF
TTTTFFFFTTFFTTF
TFFTFTFFTTFTFFF
FTTTFFTTTFTTTFT
FTTFTFTTTFFTFFT
FTTFTFFTTTTTTTF
TFTFFFTFFTTTTTT
0 0 0 0 0 0 2 1 4 1 1 0 0 0 0 0
15 7
TTTTTTTFFFFTTFF
FFTFTFFFFFFTFFF
FTFFTFTFTTFFFTF
FFFTTTTTTTFFFTT
FFTFTTTFFFTTFTF
FTTTFTTTTFFTFFT
FFFTFFFFTFFFTFT
0 0 0 0 0 2 0 0 3 0 2 0 0 0 0 0
15 5
FFTTFFTTTFTFFFF
TFTFTFTFTTFTFFT
TTTFFTTTTTFTFTF
FFTFTFTFFTFTTTT
FTTFFTFFTFFTFFT
0 0 0 0 0 1 0 3 0 1 0 0 0 0 0 0

